import uldaq
import matplotlib.pyplot as plt

from pyrelacs.util.logging import config_logging
from .repos import MccDac

log = config_logging()


class ReadData(MccDac):
    def __init__(self) -> None:
        super().__init__()

    def analog_in(self) -> None:
        # Get the Ananlog In device and Analog Info
        data = self.read_analog_daq(
            [0, 0],
            10,
            3000.0,
        )
        plt.plot(data)
        plt.show()
        self.disconnect_dac()


if __name__ == "__main__":
    daq_input = ReadData()
    daq_input.analog_in()
